supernode(1)

NAME
supernode - n2n supernode daemon

SYNOPSIS
supernode -l <port> [-v]

DESCRIPTION
N2N is a peer-to-peer VPN system. Supernode is a node introduction registry, broadcast conduit and packet relay node for the n2n system. On startup supernode begins listening on the specified UDP port for node registrations, and other packets to route. The supernode can service any number of communities and routes packets only between members of the same community. The supernode does not hold the community encryption key and so cannot snoop or inject packets into the community.

Supernode can service a number of n2n communities concurrently. Traffic does not cross between communities.

All logging goes to stdout.

OPTIONS

-l <port>
    listen on the given UDP port

-v  use verbose logging

-f  disable daemon mode (UNIX) and run in foreground.

EXAMPLES

supernode -l 7654 -v
    Start supernode listening on UDP port 7654 with verbose output.

RESTART
When suprenode restarts it loses all registration information from associated edge nodes. It can take up to five minutes for the edge nodes to re-register and normal traffic flow to resume.

EXIT STATUS
supernode is a daemon and any exit is an error

AUTHOR
Luca Deri ( deri (at) ntop.org ), Richard Andrews ( andrews (at) ntop.org ), Don Bindner

SEE ALSO
ifconfig(8) edge(8)